/* open-sans-regular - latin */
@font-face {
    font-display: swap; 
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/open-sans-v40-latin-regular.woff2') format('woff2');
  }

  /* montserrat-regular - latin */
@font-face {
    font-display: swap; 
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/montserrat-v26-latin-regular.woff2') format('woff2');
  }

* {
  box-sizing: border-box;
}

.container {
  max-width: 1440px;
  padding: 80px 0;
  margin: 0 auto;
}

:root {
    --color-dark-primary: #2A254B;
    --color-logo: #22202E;
    --color-nav-menu: #726E8D;
    --color-icons: #FFF;
}

ul, 
a {
    text-decoration: none;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

/* Header */
h2 {
  margin: 0;
  text-decoration: none;
  color: var(--color-logo);
  font-family:'Montserrat';
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
} 

.header-container {
  display: flex;
  justify-content: space-between;
  padding: 0;
  border-bottom: 1px solid #DCDCDC;
}

.logo {
  margin-top: 45px;
  margin-right: 149px;
  margin-left: 80px;
}

.header-nav {
  display: flex;
  align-items: center;
  flex-grow: 1;
  /* gap: 40px; */
  color: var(--color-nav-menu);
  font-family: "Open Sans";
  font-size: 16px;
}

.header-menu {
  display: flex;
  gap: 44px;
  /* margin-right: 200px;
  margin-top: 27px; */
}

.user-menu {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding-top: 30px;
  padding-right: 80px;
}

/* All products section */
.all-products {
  padding: 0;
}

.hero-title {
  padding: 80px 0 24px;
  text-align: center;
  color: var(--color-dark-primary);
  font-family: 'Montserrat';
  font-size: 36px;
  font-weight: 400;
  line-height: 140%
}

.filters {
  display: flex;
  justify-content: space-between;
  margin-right: 80px; 
  margin-bottom: 5px;
  margin-left: 80px;
  color: var(--color-dark-primary);
  font-family: "Open Sans";
  font-size: 16px;
  font-weight: 400;
  line-height: 150%;
}

.first-filters-menu{ 
  display: flex;
  align-items: center;
  gap: 40px;
  border: none;  outline: none;

}

.second-filters-menu {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-top: 5px;
  margin-left: 50px;
}

/* Listings */

.listings {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  padding: 28px 80px 48px;
  color: var(--color-dark-primary);
  font-family: 'Montserrat';
  font-size: 20px;
  font-weight: 400;
  line-height: 140%;
}

.listings-item img {
  width: 100%;
}

.view-collection {
  text-align: center;
  margin-bottom: 40px;
  padding: 16px 32px;
  color: var(--color-dark-primary);
  font-family: "Open Sans";
  font-size: 16px;
  cursor: pointer;
}

/* Sing up section */
.sing-up {
  display: grid;
  grid-template-columns: 1fr 1fr;
  min-height: 521px;
}

.background-image {
    background: url(../images/Image-sofa.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}

.join {
  padding: 71px 130px 411px 49px;

}

.join-title {
  color: var(--color-dark-primary);
  font-family: 'Montserrat';
  font-weight: 400;
  line-height: normal;
}

.text-join {
color: var(--color-dark-primary);
font-family: "Open Sans";
font-size: 16px;
font-weight: 400;
line-height: 150%;
}

.button-sign-up {
  display: flex;
  margin-top: 216px;
  margin-bottom: 70px;
  padding: 16px 32px;
  align-items: flex-start;
  gap: 10px;
  color: #FFF;
  background: var(--color-dark-primary);
}

/* Footer */

footer {
background-color: var(--color-dark-primary);
}

.footer-menu {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.nav-footer-menu {
display: grid;
grid-template-columns: 1fr 1fr 1fr;
color: #FFF;
font-family: "Open Sans";
font-size: 14px;
font-weight: 400;
line-height: normal;
}

.footer-nav-item {
  margin-top: 12px;
}

.social-icons {
  fill: var(--color-icons);
  display: flex;
  justify-content: end;
  gap: 24px;

}

/* Copyright */
.copyright {

  margin-bottom: 25px;
  margin-left: 80px;
  border-top: 1px solid var(--color-nav-menu);
  /* 1277px  */
  
}

